package gov.va.med.esr.common.model.lookup;

import gov.va.med.esr.common.model.lookup.RaceType.Code;
import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedLookup;

//Java Classes

//Library Classes

//Framework Classes

/**
 * @author Commons Team
 * 
 */
public class EthnicityType
    extends AbstractNamedLookup
{
     /**
	 * An instance of serialVersionUID
	 */
    private static final long serialVersionUID = -4450421166374725759L;

    public static final Code CODE_HISPANIC = new Code("2135-2");
    public static final Code CODE_NOT_HISPANIC = new Code("2186-5");
    public static final Code CODE_UNKNOWN = new Code("9999-4");
    public static final Code CODE_DECLINED_ANSWER = new Code("0000-0");
    /**
     * Default constructor.
     */
    public EthnicityType()
    {
        super();
    }
    
    public static class Code extends AbstractCode {
        /**
         * 
         */

        /**
         * 
         */
        private static final long serialVersionUID = -4609448432339382040L;

        /**
         * An instance of serialVersionUID
         */
        
        private Code(String code) {
            super(code);
        }

        public static Code getByCode(String code) {
            return (Code) getCode(Code.class, code);
        }
    }   
}